Gecode::Iter::Ranges::SingletonAppend< J > Class Template Reference
Common functionality » Range and value iterators » Range iterators

Range iterator for appending a singleton with a range iterator More...

`#include <ranges-singleton-append.hpp>`

## Protected Attributes

J | j
| Iterator to be appended.
Protected Attributes inherited from Gecode::Iter::Ranges::MinMax
int | mi
| Minimum of current range.
int | ma
| Maximum of current range.

## Constructors and initialization

| SingletonAppend (void)
| Default constructor.
| SingletonAppend (int i0, int i1, J &j)
| Initialize with singleton (i0, i1) and iterator j.
void | init (int i0, int i1, J &j)
| Initialize with singleton (i0, i1) and iterator j.

## Iteration control

void | operator++ (void)
| Move iterator to next range (if possible).

## Additional Inherited Members

| MinMax (void)
| Default constructor.
| MinMax (int min, int max)
| Initialize with range min to max.
bool | operator() (void) const
| Test whether iterator is still at a range or done.
int | min (void) const
| Return smallest value of range.
int | max (void) const
| Return largest value of range.
unsigned int | width (void) const
| Return width of range (distance between minimum and maximum).
Protected Member Functions inherited from Gecode::Iter::Ranges::MinMax
void | finish (void)
| Set range such that iteration stops

## Detailed Description

template<class J>
class Gecode::Iter::Ranges::SingletonAppend< J >

Range iterator for appending a singleton with a range iterator

The singleton is not allowed to be adjacent to the iterator.

Definition at line 47 of file ranges-singleton-append.hpp.

## Constructor & Destructor Documentation

## SingletonAppend() [1/2]

template<class J>

Gecode::Iter::Ranges::SingletonAppend< J >::SingletonAppend | ( | void |  | ) |

inline

Default constructor.

Definition at line 89 of file ranges-singleton-append.hpp.

## SingletonAppend() [2/2]

template<class J>

Gecode::Iter::Ranges::SingletonAppend< J >::SingletonAppend | ( | int | i0,
|  | int | i1,
|  | J & | j )

inline

Initialize with singleton (i0, i1) and iterator j.

Definition at line 93 of file ranges-singleton-append.hpp.

## Member Function Documentation

## init()

template<class J>

void Gecode::Iter::Ranges::SingletonAppend< J >::init | ( | int | i0,
|  | int | i1,
|  | J & | j )

inline

Initialize with singleton (i0, i1) and iterator j.

Definition at line 100 of file ranges-singleton-append.hpp.

## operator++()

template<class J>

void Gecode::Iter::Ranges::SingletonAppend< J >::operator++ | ( | void |  | ) |

inline

Move iterator to next range (if possible).

Definition at line 77 of file ranges-singleton-append.hpp.

## Member Data Documentation

## j

template<class J>

J Gecode::Iter::Ranges::SingletonAppend< J >::j

protected

Iterator to be appended.

Definition at line 50 of file ranges-singleton-append.hpp.

The documentation for this class was generated from the following file:

- gecode/iter/ranges-singleton-append.hpp